Package csb :: Package apps :: Module hhfrag :: Class HHfrag

[frames] | no frames]

# Class HHfrag

source code

    object --+
             |
            HHfrag

The HHfrag dynamic fragment detection protocol.

Instance Methods

__init__(self, query, binary, database, logger=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

RosettaFragmentMap, list of ResidueEventInfo

build_combined_map(self, fragfile, threshold=0.7, top=25) Build a hybrid map, where low-confidence regions are complemented with the specified filling. | source code

RosettaFragmentMap, list of ResidueEventInfo

build_filtered_map(self) Build a filtered fragset of centroids. | source code

RosettaFragmentMap

build_fragment_map(self) Build a full Rosetta fragset. | source code

RosettaFragmentMap

build_hybrid_filtered_map(self, fragfile) Mix the fragset with the specified (filtered)filling and then filter the mixture. | source code

tuple of Assignments

extract_fragments(self) Extract all matching fragment instances, given the list of optimal query slices, generated during the first stage. | source code

log(self, *a, **ka) | source code

tuple of SliceContext

slice_query(self, min=6, max=21, step=3, cpu=None) Run the query slicer and collect the optimal query segments. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| PDBS = ``'``pdbs25.hhm``'``

Properties
| aligner
| database
| pdbs25
| query
Inherited from `object`: `__class__`

Method Details

### __init__(self, query, binary, database, logger=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `query` (str) - query HMM path and file name
  - `binary` (str) - the HHsearch binary
  - `database` (str) - path to the PDBS25 directory
  - `logger` (Application) - logging client (needs to have a `log` method)
Overrides: object.__init__
  (inherited documentation)

### build_combined_map(self, fragfile, threshold=0.7, top=25)

source code

Build a hybrid map, where low-confidence regions are complemented with the specified filling.

Parameters:
  - `threshold` (float) - confidence threshold
  - `fragfile` (str) - filling fragset (Rosetta fragment file)
Returns: RosettaFragmentMap, list of ResidueEventInfo
  filtered fragset and a list of residue-wise predictions (centroid and torsion angles)

### build_filtered_map(self)

source code

Build a filtered fragset of centroids.

Returns: RosettaFragmentMap, list of ResidueEventInfo
  filtered fragset and a list of residue-wise predictions (centroid and torsion angles)

### build_hybrid_filtered_map(self, fragfile)

source code

Mix the fragset with the specified (filtered)filling and then filter the mixture. If the filling is a filtered CSfrag library, this will produce a double-filtered map.

Parameters:
  - `fragfile` (str) - filtered filling (filtered CSfrag fragment file)
Returns: RosettaFragmentMap

### slice_query(self, min=6, max=21, step=3, cpu=None)

source code

Run the query slicer and collect the optimal query segments.

Parameters:
  - `min` (int) - min segment length
  - `max` (int) - max segment length
  - `step` (int) - slicing step
  - `cpu` (int) - degree of parallelism
Returns: tuple of SliceContext

Property Details

### aligner

Get Method:
  unreachable.aligner(self)
Set Method:
  unreachable.aligner(self, value)

### database

Get Method:
  unreachable.database(self)
Set Method:
  unreachable.database(self, value)

### pdbs25

Get Method:
  unreachable.pdbs25(self)

### query

Get Method:
  unreachable.query(self)